Bug 593092 - [abrt] crash in blueman-1.21-4.fc12: DeviceList.py:444:DiscoverDevices:AttributeError: 'NoneType' object has no attribute 'StartDiscovery'
Summary: [abrt] crash in blueman-1.21-4.fc12: DeviceList.py:444:DiscoverDevices:Attrib...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman   
(Show other bugs)
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:885ee0f4
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 19:41 UTC by redchernobil
Modified: 2010-12-03 14:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:36:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (869 bytes, text/plain)
2010-05-17 19:41 UTC, redchernobil
no flags Details

Description redchernobil 2010-05-17 19:41:02 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/blueman-browse
component: blueman
executable: /usr/bin/blueman-browse
kernel: 2.6.32.11-99.fc12.x86_64
package: blueman-1.21-4.fc12
reason: DeviceList.py:444:DiscoverDevices:AttributeError: 'NoneType' object has no attribute 'StartDiscovery'
release: Fedora release 12 (Constantine)

backtrace
-----
DeviceList.py:444:DiscoverDevices:AttributeError: 'NoneType' object has no attribute 'StartDiscovery'

Traceback (most recent call last):
  File "/usr/bin/blueman-browse", line 96, in <module>
    Browse()
  File "/usr/bin/blueman-browse", line 54, in __init__
    dev = self.select_device()
  File "/usr/bin/blueman-browse", line 80, in select_device
    d = DeviceSelectorDialog()
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceSelectorDialog.py", line 56, in __init__
    self.selector.List.DiscoverDevices()
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceList.py", line 444, in DiscoverDevices
    self.Adapter.StartDiscovery()
AttributeError: 'NoneType' object has no attribute 'StartDiscovery'

Local variables in innermost frame:
self: <DeviceSelectorList object at 0x1923e10 (blueman+gui+DeviceList+DeviceList at 0x1990090)>
time: 10.24

Comment 1 redchernobil 2010-05-17 19:41:04 UTC
Created attachment 414645 [details]
File: backtrace

Comment 2 Fabien Archambault 2010-08-18 14:14:57 UTC
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start browsing file...

Comment 3 Bug Zapper 2010-11-03 14:42:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 14:36:55 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.